# Variable nullFormCtrl`Const`

nullFormCtrl: {
$$renameControl: Function;
$$setSubmitted: Function;
$addControl: Function;
$getControls: () => any[];
$nonscope: boolean;
$removeControl: Function;
$setDirty: Function;
$setPristine: Function;
$setSubmitted: Function;
$setValidity:
| Function
| ((key: any, isValid: boolean, control: any) => any);
} = ...

#### Type declaration

- ##### $$renameControl: Function

- ##### $$setSubmitted: Function

- ##### $addControl: Function

- ##### $getControls: () => any[]

- ##### $nonscope: boolean

- ##### $removeControl: Function

- ##### $setDirty: Function

- ##### $setPristine: Function

- ##### $setSubmitted: Function

- ##### $setValidity: Function | ((key: any, isValid: boolean, control: any) => any)

- Defined in src/directive/form/form.js:33